@echo off
cd BIOS
echo Checking ROM file .....
ckmode DH170000.123 DH170 4038
if errorlevel 1 goto end

:flash
call AFUDOSA5.EXE DH170000.123 /P /B /N
if errorlevel 1 goto end
fpt.exe -f DH170000.123 -me
call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit
